import { Atom } from '@cn-ui/use';
import { ExFile } from './ExFile';
/** 拖拽上传 */
export declare const useDragUpload: ({ isDragging, onEnd, }: {
    isDragging: Atom<boolean>;
    onEnd: (files: ExFile[]) => void;
}) => {
    onDrop(e: any): Promise<void>;
    onDragOver(e: any): void;
    onDragLeave(e: any): void;
};
